- Qt 5.15
- Qt GUI
- C++ Classes
- QTextBlockUserData
- Qt 5.15.19 Reference Documentation

# QTextBlockUserData Class

The QTextBlockUserData class is used to associate custom data with blocks of text. More...

Header: | #include <QTextBlockUserData>
qmake: | QT += gui
Since: | Qt 4.1

This class was introduced in Qt 4.1.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

virtual | ~QTextBlockUserData()

## Detailed Description

QTextBlockUserData provides an abstract interface for container classes that are used to associate application-specific user data with text blocks in a QTextDocument.

Generally, subclasses of this class provide functions to allow data to be stored and retrieved, and instances are attached to blocks of text using QTextBlock::setUserData(). This makes it possible to store additional data per text block in a way that can be retrieved safely by the application.

Each subclass should provide a reimplementation of the destructor to ensure that any private data is automatically cleaned up when user data objects are deleted.

See also QTextBlock.

## Member Function Documentation

### `[virtual]` QTextBlockUserData::~QTextBlockUserData()

Destroys the user data.